In order to prevent the reverse engineering of script apps, a lot of developers encrypt their code with instruments such as ionCube PHP Encoder and make it human unreadable. The latter is valid for paid applications in particular, because anyone would be able to use and modify the unprotected code without paying the necessary license fees. When you acquire web software protected with ionCube PHP Encoder, you can use it without a problem as long as a software tool named ionCube Loader is present on the web hosting server. This loader enables you to run encrypted files and you'll often see it as one of the prerequisites for a certain script application to be installed. Because the encoded files are already precompiled, they are normally executed more rapidly and this can improve the overall speed of your site.

IonCube in Web Hosting

If you obtain a Linux web hosting package from our company, it will be created on our in-house built cloud platform where ionCube Loader is already installed, so you will not have any problems to manage any script app that requires the instrument in order to run appropriately. Furthermore, we provide several different releases of PHP, so if you change the version, you will have to enable ionCube once again. Our platform remembers the adjustments you make, so if you move back to the previous version of PHP which was active for your account, ionCube Loader will already be turned on. The PHP version and the ionCube tool can be managed through the PHP Configuration part of our Hepsia website hosting Control Panel. Every adjustment that you do takes literally just a mouse-click and it'll take effect immediately.

IonCube in Semi-dedicated Hosting

Since all of the semi-dedicated server accounts are created on our advanced cluster platform and ionCube Loader is available on it, you'll be able to use any script app that needs the software tool so as to work effectively. With several clicks in the Hepsia hosting Control Panel you are able to activate or deactivate ionCube for the PHP version that's currently active for the account. As we support a couple of releases of PHP at the same time, you'll have to do that every time you move to a different version, and when you revert back to a release which you've already used, our system will remember your preference and ionCube Loader will already be activated. In case you have multiple websites in the same account and they require different versions of PHP, you're able to create a php.ini file in each and every domain folder and with several lines of program code you can define both the PHP version as well as the status of ionCube regardless of what is selected for the web hosting account altogether.